Skip to main content
GET
List secrets visible through ownership authority

Authorizations

Authorization
string
header
required

An opaque Omnara personal or organization bearer token.

Path Parameters

orgID
string
required
Pattern: ^org_[a-z2-7]{26}$

Query Parameters

name
string

Case-insensitive glob over the list's logical name. * matches zero or more characters, ? matches one character, and \ escapes a wildcard.

Required string length: 1 - 200
kind
enum<string>

Filter secrets by material kind.

Available options:
generic,
oauth_token_set,
slack_app_credentials,
aws_credentials
owner_kind
enum<string>

Filter by the immutable owner kind.

Available options:
org,
project,
user
owner_project_id
string

Required with owner_kind=project and invalid with other owner kinds.

Pattern: ^proj_[a-z2-7]{26}$
mcp_oauth_flow_id
string

Filter to secrets that have a version created by this MCP OAuth flow.

Pattern: ^moaf_[a-z2-7]{26}$
metadata
object

Metadata key/value filters, encoded as metadata[key]=value.

sort
enum<string>
default:-created_at

Sort order for named resources that expose created and modified timestamps.

Available options:
name,
-name,
-updated_at,
updated_at,
-created_at,
created_at
limit
integer<int32>
default:50

Maximum number of items to return in one page.

Required range: 1 <= x <= 100
cursor
string

Opaque pagination cursor from a previous response's next_cursor. Omit for the first page.

Maximum string length: 1024

Response

Secrets visible through ownership authority.

data
object[]
required
next_cursor
string | null
required